This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 486885 - evince dumping garbage
evince dumping garbage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 17:54 EST by Need Real Name
Modified: 2013-04-02 00:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:20:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
terminal screenshot (200.82 KB, image/png)
2009-02-22 17:54 EST, Need Real Name
no flags Details
.pdf which make evince to break terminal (3.30 MB, application/pdf)
2009-02-22 17:57 EST, Need Real Name
no flags Details
another .pdf breaking terminal (4.34 MB, application/pdf )
2009-02-22 18:02 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2009-02-22 17:54:50 EST
Created attachment 332878 [details]
terminal screenshot

While processing a .pdf file (possibly corrupted)
evince 
rpm -q evince
evince-2.25.90-1.fc9.x86_64

dump some unescaped unprintable characters to terminal what makes:
1. terminal constantly beeping.
2. terminal gets to a state where regular characters cannot be read.
3. I heard some special characters may go to command line buffer, so it may be possible to execute a code.

To repoduce:

evince m.pdf 
beeping and garbage in terminal
Comment 1 Need Real Name 2009-02-22 17:57:43 EST
Created attachment 332879 [details]
.pdf which make evince to break terminal
Comment 2 Need Real Name 2009-02-22 18:02:49 EST
Created attachment 332880 [details]
another .pdf breaking terminal

run 
evince m-1.pdf
get constant beeping and terminal in unusable state.
Comment 3 Need Real Name 2009-02-22 18:16:38 EST
Similar effect can be achieved by doing 
cat /bin/*
When doing Ctl-C
the terminal can go to some unusable state, where nothing can be read.
The only way to fix - 
do cat /bin/* once again and try to find a moment when Ctl-C 
to have working terminal.

May be a terminal should also be fixed, thus unprintable characters 
would not send it to unsuable state?
Comment 4 Bug Zapper 2009-06-09 07:34:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 09:02:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:20:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Need Real Name 2010-06-28 09:39:15 EDT
the problem still exist

Note You need to log in before you can comment on or make changes to this bug.